Get Change Log Summary by Activity Code Type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/change-log-summary/activity-code-type/{activityCodeTypeId}

Change log summaries grouped by the activity codes of a single activity code type. The key is the activityCodeId and the value is the same list the Change Log Summary endpoint returns, restricted to activities carrying that code.

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • activityCodeTypeId integer(int64) Required

Query parameters

  • dataDate string

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • * array[object] Additional properties
      Hide * attributes Show * attributes object
      • dataDate string(date-time)
      • metrics object
        Hide metrics attribute Show metrics attribute object
        • * integer(int32) Additional properties
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/change-log-summary/activity-code-type/{activityCodeTypeId}
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/scenarios/{scenarioId}/change-log-summary/activity-code-type/{activityCodeTypeId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "additionalProperty1": [
    {
      "dataDate": "2026-05-04T09:42:00Z",
      "metrics": {
        "additionalProperty1": 42,
        "additionalProperty2": 42
      }
    }
  ],
  "additionalProperty2": [
    {
      "dataDate": "2026-05-04T09:42:00Z",
      "metrics": {
        "additionalProperty1": 42,
        "additionalProperty2": 42
      }
    }
  ]
}